> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sandbox snapshot



## OpenAPI

````yaml openapi.json GET /api/snapshots/{key}
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/snapshots/{key}:
    get:
      tags:
        - Snapshots
      summary: Get sandbox snapshot
      parameters:
        - name: key
          in: path
          required: true
          description: Snapshot name or ID. Names resolve to the newest created revision.
          schema:
            type: string
      responses:
        '200':
          description: Snapshot details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxSnapshotResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SandboxSnapshotResponse:
      type: object
      properties:
        snapshot:
          $ref: '#/components/schemas/SandboxSnapshot'
      required:
        - snapshot
    SandboxSnapshot:
      type: object
      properties:
        id:
          type: string
          format: uuid
        snapshotName:
          type: string
        namespace:
          type: string
        imageNamespace:
          type: string
        imageName:
          type: string
        imageId:
          type: string
          format: uuid
        vcpus:
          type: integer
          nullable: true
        memMiB:
          type: integer
          nullable: true
        diskSizeMiB:
          type: integer
          nullable: true
        status:
          type: string
          enum:
            - creating
            - created
            - failed
        metadata:
          type: object
        uploaded:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - snapshotName
        - namespace
        - imageName
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````